=== debian/changelog ===
ros-r2b3-urdf (1.12.7-8xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 14 Sep 2017 00:00:19 -0000
