=== debian/control ===
Source: ros-r2b3-urdf
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-r2b3-ament-cmake, ros-r2b3-ament-lint-auto, ros-r2b3-ament-lint-common, ros-r2b3-console-bridge, ros-r2b3-tinyxml-vendor, ros-r2b3-urdfdom, ros-r2b3-urdfdom-headers, ros-r2b3-ros-workspace
Homepage: http://ros.org/wiki/urdf
Standards-Version: 3.9.2

Package: ros-r2b3-urdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-r2b3-tinyxml-vendor, ros-r2b3-urdfdom, ros-r2b3-urdfdom-headers, ros-r2b3-ros-workspace
Description: This package contains a C++ parser for the Unified Robot Description Format (URDF), which is an XML format for representing a robot model.
 The code API of the parser has been through our review process and will remain backwards compatible in future releases.
